Package org.eclipse.net4j.util.om.log

# Class PrintLogHandler

java.lang.Object
org.eclipse.net4j.util.om.log.AbstractLogHandler
org.eclipse.net4j.util.om.log.PrintLogHandler

All Implemented Interfaces:
  `OMLogHandler`

public class PrintLogHandler extends AbstractLogHandler
A `log handler` that appends log events to `error` and `output` streams.

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final PrintLogHandler`
`CONSOLE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`PrintLogHandler()`
``
`PrintLogHandler(PrintStream out, PrintStream err)`

## Method Summary

Modifier and Type
Method
Description
`PrintStream`
`getErr()`
`PrintStream`
`getOut()`
`protected void`
`writeLog(OMLogger logger, OMLogger.Level level, String msg, Throwable t)`

### Methods inherited from class org.eclipse.net4j.util.om.log.AbstractLogHandler

`getLogLevel, logged, setLogLevel, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CONSOLE

public static final PrintLogHandler CONSOLE

## Constructor Details

### PrintLogHandler

public PrintLogHandler(PrintStream out, PrintStream err)

### PrintLogHandler

protected PrintLogHandler()

## Method Details

### getOut

public PrintStream getOut()

Since:
  3.2

### getErr

public PrintStream getErr()

Since:
  3.2

### writeLog

protected void writeLog(OMLogger logger, OMLogger.Level level, String msg, Throwable t) throws Throwable

Specified by:
  `writeLog` in class `AbstractLogHandler`
Throws:
  `Throwable`